"   #Netrw {{{

  let g:netrw_liststyle=3
  let g:netrw_list_hide='^\..*'
  let g:netrw_preview = 0

  "}}}
"   #Obsession{{{
  " fork of tpope/vim-obsession
  Plug 'studio-vx/vim-obsession'

  "}}}
"   #undotree {{{
  Plug 'mbbill/undotree'
  nnoremap <space>ut :UndotreeToggle<cr>

  "}}}
"   #tcomment_vim{{{
  " https://github.com/tomtom/tcomment_vim
  Plug 'tomtom/tcomment_vim'

"}}}
"   #vim-easy-align {{{
  " https://github.com/junegunn/vim-easy-align
  Plug 'junegunn/vim-easy-align'

  xmap ga <Plug>(EasyAlign)
  nmap ga <Plug>(EasyAlign)

  "}}}
"   #vim-fzf {{{
" https://github.com/junegunn/fzf.vim
if executable('fzf') && v:version >= 704
  Plug 'junegunn/fzf.vim'

  nnoremap <space>fg :GFiles<CR>
  nnoremap <space>ff :Files<CR>
  nnoremap <space>fr :History<CR>
  nnoremap <space>ft :Tags<CR>
  nnoremap <space>fb :Buffers<CR>
  nnoremap <space>fh :Helptags<CR>
  nnoremap <space>fa :Ag<CR>
  nnoremap <space>fA :Ag!<CR>

  " Ag! gives fullscreen with preview
  command! -bang -nargs=* Ag
    \ call fzf#vim#ag(<q-args>,
    \                 <bang>0 ? fzf#vim#with_preview('up:60%')
    \                         : fzf#vim#with_preview('right:50%:hidden', '?'),
    \                 <bang>0)
  
  let g:fzf_colors =
  \ { 'fg':      ['fg', 'Normal'],
    \ 'bg':      ['bg', 'Normal'],
    \ 'hl':      ['fg', 'Label'],
    \ 'fg+':     ['fg', 'CursorLine', 'CursorColumn', 'Normal'],
    \ 'bg+':     ['bg', 'CursorLine', 'CursorColumn'],
    \ 'hl+':     ['fg', 'WildMenu'],
    \ 'info':    ['fg', 'Comment'],
    \ 'border':  ['fg', 'Ignore'],
    \ 'prompt':  ['fg', 'Constant'],
    \ 'pointer': ['fg', 'Special'],
    \ 'marker':  ['fg', 'Keyword'],
    \ 'spinner': ['fg', 'Label'],
    \ 'header':  ['fg', 'Comment'] }
endif

"}}}
"   #vim-markdown{{{
"   https://github.com/plasticboy/vim-markdown
Plug 'plasticboy/vim-markdown'
let g:vim_markdown_toc_autofit = 1
let g:vim_markdown_fenced_languages = ['bash=sh']
"}}}
"   #vim-repeat{{{
  " https://github.com/tpope/vim-repeat
  Plug 'tpope/vim-repeat'

  "}}}
"   #vim-rsi{{{
  "https://github.com/tpope/vim-rsi
  Plug 'tpope/vim-rsi'

  "}}}
"   #vim-surround{{{
  Plug 'tpope/vim-surround'

  "}}}
"   #wakatime{{{
  " https://wakatime.com/vim
  Plug 'wakatime/vim-wakatime'

  "}}}

